Subject: Re: PIN BOF

From: Alec Brusilovsky <[email-masked]>
Date: Tue, 30 Mar 1999 10:39:47 -0500

Let me add to what Jonathan wrote:

Our # 1 goal now is to come up with a comprehensive list of PIN services. In
order to achieve that we have to start discussion on the topic of Services
Classification (taxonomy, if you wish).
Our # 2 goal in to define requirements for PIN services. Please note, in order to
do that we have to know exactly what are PIN services.

My question for # 1: Do we see subscription for the PIN service as part of that
service?  Subscription for the PSTN/IP Hybrid service, like PIN, can be
accomplished by pure PSTN means, pure IP means, or any combination of two (i.e.,
subscription request is taken by an operator [PSTN], which then is using WEB
based tools to finalize subscription for the PIN service).
The definition of PIN service might become quite cluttered if we include
subscription as part of the service. Many proposed PIN services require only
one-time subscription per many firings of the service (i.e., Call Forwarding)
I would like to propose separate of subscription for PIN service from the actual
core PIN service (Notification of the PSTN events, delivered to IP network) and
focus on the direction of CORE service delivery: IP-PSTN is PINT, PSTN-IP is PIN.

Thank you,
Alec

Jonathan Rosenberg wrote:

> Buller, Jim wrote:
> >
> > Dear All,
> >
> > I don't know what the general opinion of discussions undertaken during the
> > recent
> > PIN BOF is, but I shall endeavour to to express my own POV.
> >
> > IMHO, I believe the discussions were confused and a little undirected, the
> > crux of
> > the problem being semantic disagreements on, and about, PSTN to Internet
> > Notifications. I think most of the problems arose from the name of the BOF
> > which,
> > again IMHO, was a bad choice as it implies only Notifications from the PSTN
> > to
> > Internet Services will be considered. It is my understanding, and think
> > Lawrence
> > Conroy and perhaps Scott Petrack would back me up here, that such
> > notifications
> > are already handled in the realm of PINT using the SUBSCRIBE/NOTIFY
> > functionality
> > i.e a PINT service may request notifications it requires from the PSTN.
> > There is in this
> > arrangement, correctly I think, NO possibility of unrequested Notifications
> > coming
> > from the PSTN i.e. the PSTN spamming problem/possibility raised during the
> > BOF.
>
> Before saying whether the pint extensions do or do not solve the "pin
> problem", it is neccesary to define what the problems are. I think the
> goal of the BoF was to try and understand the services people wanted,
> and classify them in some way to determine what was needed to make them
> happen. Towards that end, I believe we identified several classes of
> services - notification from the PSTN to IP network being just one.
> There was also some kind of database update type (I forget what it was
> called), and discussion about services where there was also data
> returned to the PSTN as a result of the notification.
>
> -Jonathan R.
> --
> Jonathan D. Rosenberg                       Lucent Technologies
> Member of Technical Staff                   101 Crawfords Corner Rd.
> High Speed Networks Research                Holmdel, NJ 07733
> FAX: (732) 834-5379                         Rm. 4C-526
> EMAIL: [email-masked]
> URL: http://www.cs.columbia.edu/~jdrosen